Package com.logicaldoc.core.task

# Class DefaultSchedulerFactory

java.lang.Object
org.springframework.scheduling.quartz.SchedulerAccessor
org.springframework.scheduling.quartz.SchedulerFactoryBean
com.logicaldoc.core.task.DefaultSchedulerFactory

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.FactoryBean<org.quartz.Scheduler>`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ApplicationContextAware`, `org.springframework.context.Lifecycle`, `org.springframework.context.Phased`, `org.springframework.context.ResourceLoaderAware`, `org.springframework.context.SmartLifecycle`

public class DefaultSchedulerFactory extends org.springframework.scheduling.quartz.SchedulerFactoryBean implements org.springframework.context.ApplicationContextAware
Scheduler factory to enable/disable the scheduler depending on the runlevel. @see org.springframework.scheduling.quartz.SchedulerFactoryBean

Since:
  7.6.4
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

### Fields inherited from class org.springframework.scheduling.quartz.SchedulerFactoryBean

`DEFAULT_THREAD_COUNT, PROP_THREAD_COUNT`

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

### Fields inherited from interface org.springframework.context.SmartLifecycle

`DEFAULT_PHASE`

## Constructor Summary

Constructors
Constructor
Description
`DefaultSchedulerFactory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`org.quartz.Scheduler`
`getObject()`
`boolean`
`isAutoStartup()`
`void`
`setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void`
`start()`

### Methods inherited from class org.springframework.scheduling.quartz.SchedulerFactoryBean

`destroy, getConfigTimeDataSource, getConfigTimeNonTransactionalDataSource, getConfigTimeResourceLoader, getConfigTimeTaskExecutor, getObjectType, getPhase, getScheduler, isRunning, isSingleton, setApplicationContextSchedulerContextKey, setAutoStartup, setBeanName, setConfigLocation, setDataSource, setExposeSchedulerInRepository, setJobFactory, setNonTransactionalDataSource, setPhase, setQuartzProperties, setSchedulerContextAsMap, setSchedulerFactory, setSchedulerFactoryClass, setSchedulerName, setStartupDelay, setTaskExecutor, setWaitForJobsToCompleteOnShutdown, stop`

### Methods inherited from class org.springframework.scheduling.quartz.SchedulerAccessor

`setCalendars, setGlobalJobListeners, setGlobalTriggerListeners, setJobDetails, setJobSchedulingDataLocation, setJobSchedulingDataLocations, setOverwriteExistingJobs, setResourceLoader, setSchedulerListeners, setTransactionManager, setTriggers`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.SmartLifecycle

`stop`

## Constructor Details

### DefaultSchedulerFactory

public DefaultSchedulerFactory()

## Method Details

### start

public void start() throws org.springframework.scheduling.SchedulingException

Specified by:
  `start` in interface `org.springframework.context.Lifecycle`
Overrides:
  `start` in class `org.springframework.scheduling.quartz.SchedulerFactoryBean`
Throws:
  `org.springframework.scheduling.SchedulingException`

### getObject

public org.quartz.Scheduler getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.quartz.Scheduler>`
Overrides:
  `getObject` in class `org.springframework.scheduling.quartz.SchedulerFactoryBean`

### isAutoStartup

public boolean isAutoStartup()

Specified by:
  `isAutoStartup` in interface `org.springframework.context.SmartLifecycle`
Overrides:
  `isAutoStartup` in class `org.springframework.scheduling.quartz.SchedulerFactoryBean`

### afterPropertiesSet

public void afterPropertiesSet() throws Exception

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Overrides:
  `afterPropertiesSet` in class `org.springframework.scheduling.quartz.SchedulerFactoryBean`
Throws:
  `Exception`

### setApplicationContext

public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

Specified by:
  `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
Overrides:
  `setApplicationContext` in class `org.springframework.scheduling.quartz.SchedulerFactoryBean`